SampleEventConverter (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.save.converters, class: SampleEventConverter

Package org.apache.jmeter.save.converters

# Class SampleEventConverter

java.lang.Object
org.apache.jmeter.save.converters.SampleEventConverter

All Implemented Interfaces:
  `com.thoughtworks.xstream.converters.Converter`, `com.thoughtworks.xstream.converters.ConverterMatcher`

public class SampleEventConverter extends Object implements com.thoughtworks.xstream.converters.Converter
XStream Converter for the SampleResult class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleEventConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canConvert(Class arg0)`
  `static String`
  `getVersion()`
  Returns the converter version; used to check for possible incompatibilities
  `void`
  `marshal(Object source, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)`
  `Object`
  `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SampleEventConverter

    public SampleEventConverter()

- ## Method Details

  - ### getVersion

    public static String getVersion()
    Returns the converter version; used to check for possible incompatibilities
    Returns:
      the version of this converter

  - ### canConvert

    public boolean canConvert(Class arg0)
    Specified by:
      `canConvert` in interface `com.thoughtworks.xstream.converters.ConverterMatcher`

  - ### marshal

    public void marshal(Object source, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)
    Specified by:
      `marshal` in interface `com.thoughtworks.xstream.converters.Converter`

  - ### unmarshal

    public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)
    Specified by:
      `unmarshal` in interface `com.thoughtworks.xstream.converters.Converter`